Ir al contenido

Crear suscripción de webhook saliente firmada con HMAC-SHA256

POST
/admin/developer/webhooks
curl --request POST \
--url https://api.matiasimpulso.com/admin/developer/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "url": "https://example.com", "events": [ "contact.created" ], "active": true, "timeoutMs": 1, "headers": { "additionalProperty": "example" } }'
Media type application/json
object
name
required
string
>= 3 characters <= 120 characters
url
required
string format: uri
<= 500 characters
events
required
Array<string>
>= 1 items
Allowed values: contact.created contact.updated ticket.created ticket.updated ticket.closed message.inbound message.outbound module.record.created module.record.updated module.record.deleted
active
boolean
timeoutMs
number
>= 1000 <= 30000
headers
object
key
additional properties
string
Media type application/json
object

Example generated

{}